Provided by: cups-client_2.2.8-5ubuntu1_amd64 bug

NAME

       cupstestdsc - test conformance of postscript files (deprecated)

SYNOPSIS

       cupstestdsc [ -h ] filename.ps [ ...  filenameN.ps ]
       cupstestdsc [ -h ] -

DESCRIPTION

       cupstestdsc  tests  the  conformance  of PostScript files to the Adobe PostScript Language
       Document Structuring Conventions Specification version 3.0.  The results  of  testing  and
       any  other  output  are sent to the standard output.  The second form of the command reads
       PostScript from the standard input.

NOTES

       This program is deprecated and will be removed in a future release of CUPS.

       cupstestdsc only validates the DSC comments in a PostScript file and does not  attempt  to
       validate  the  PostScript  code  itself.   Developers must ensure that the PostScript they
       generate follows the rules defined by Adobe.  Specifically, all pages must be  independent
       of  each  other, code outside page descriptions may not affect the graphics state (current
       font, color, transform matrix, etc.), and device-specific commands such  as  setpagedevice
       should not be used.

SEE ALSO

       CUPS   Online   Help   (http://localhost:631/help),  Adobe  PostScript  Language  Document
       Structuring Conventions Specification, Version 3.0.

COPYRIGHT

       Copyright © 2007-2017 by Apple Inc.